## ifmail 2.14tx8.10

=== Makefile ===
# Copyright (c) Eugene G. Crosser, 1993-1997
# Top-level makefile for ifmail package

include CONFIG

TARFILE = ifmail-${VERSION}.tar.gz
DIRS = iflib ifgate ifcico
ifeq (yes,${USE_NLS})
DIRS += po
endif

all install depend man:
	for d in ${DIRS}; do (cd $$d && echo $$d && ${MAKE} $@) || exit; done;

directories:
	for i in ${BINDIR} `dirname ${CONFIGFILE}` ${MAPTABDIR} \
		`dirname ${DEBUGFILE}` `dirname ${LOGFILE}` ; do \
		if [ ! -d $${i} ]; then \
		mkdir -p $${i}; \
		chown ${OWNER}.${GROUP} $${i}; \
		chmod 0750 $${i}; \
		fi; \
	done
	chmod 0755 ${BINDIR}
	chmod 0755 ${MAPTABDIR}

install_config: directories
	${INSTALL} -o ${OWNER} -g ${GROUP} -m 0640 misc/config `dirname ${CONFIGFILE}`
	${INSTALL} -o ${OWNER} -g ${GROUP} -m 0640 misc/Areas `dirname ${CONFIGFILE}`
	for i in misc/maptabs/* ; do \
	${INSTALL} -o ${OWNER} -g ${GROUP} -m 0644 $${i} ${MAPTABDIR} ; \
	done

clean:
	rm -f .filelist ${TARFILE}
	for d in ${DIRS}; do (cd $$d && echo $$d && ${MAKE} $@) || exit; done;


tar:	${TARFILE}

${TARFILE}:	filelist
	cd ..; ${TAR} cvTf ifmail/.filelist - | gzip >ifmail/${TARFILE}

filelist:
	echo ifmail/Makefile >.filelist
	echo ifmail/CONFIG >>.filelist
	echo ifmail/README >>.filelist
	echo ifmail/README.charset >>.filelist
	echo ifmail/README.first >>.filelist
	echo ifmail/LSM >>.filelist
	echo ifmail/LSM.TX >>.filelist
	echo ifmail/misc >>.filelist
	echo ifmail/Changelog.TX >>.filelist
	echo ifmail/Credits.TX >>.filelist
	for d in ${DIRS}; do (cd $$d && echo $$d && ${MAKE} filelist && \
				cat filelist >>../.filelist) || exit; done;

=== ifcico/Makefile ===
# Makefile for ifcico FidoNet mailer
# Copyright (c) 1993-1997 by Eugene G. Crosser

INCDIR = ../iflib

include ../CONFIG

# Include -DNOISEDEBUG to emulate noisy line. If defined, -jNNN option
# causes approximately every NNNth received character to be damaged.
#DEFINES = ${OPTS} -DNOISEDEBUG
DEFINES = -DCICOLOG=${CICOLOG} \
		-DMAILLOG=${MAILLOG} \
		${OPTS}

OBJCICO = version.o ifcico.o nodelist.o flagexp.o call.o callall.o answer.o \
		modemstr.o openport.o opentcp.o dial.o session.o \
		chat.o ttyio.o emsi.o ftsc.o yoohoo.o \
		filelist.o xmsend.o xmrecv.o sendbark.o recvbark.o \
		filetime.o m7recv.o m7send.o respfreq.o \
		rdoptions.o emsidat.o wazoo.o janus.o hydra.o \
		zmsend.o zmrecv.o zmmisc.o zmrle.o \
		tcp.o tcpproto.o binkp.o \
		openfile.o ftscprod.o dietifna.o \
		nlindex.o openterm.o Txy.o
OBJINDEX = version.o ifindex.o nodebld.o nlindex.o
OBJINFO = version.o ifinfo.o nodelist.o nlindex.o
OBJPATCH = version.o nlpatch.o
OBJREQ = version.o ifreq.o #nodelist.o nlindex.o
OBJROUTE = version.o ifroute.o mxlookup.o nodelist.o nlindex.o
OBJLOOKUP= version.o nlookup.o nodelist.o nlindex.o
SRCS = lastmtime.c ifcico.c nodelist.c call.c callall.c answer.c \
		modemstr.c openport.c opentcp.c dial.c session.c \
		chat.c ttyio.c emsi.c ftsc.c yoohoo.c \
		filelist.c xmsend.c xmrecv.c sendbark.c recvbark.c \
		filetime.c m7recv.c m7send.c respfreq.c \
		rdoptions.c emsidat.c wazoo.c janus.c hydra.c \
		zmsend.c zmrecv.c zmmisc.c zmrle.c \
		tcp.c tcpproto.c binkp.c \
		openfile.c dietifna.c openterm.c \
		nlindex.c nodebld.c ifindex.c ifroute.c mxlookup.c \
		nlpatch.c Txy.c nlookup.c ifinfo.c ifreq.c
HDRS = nodelist.h statetbl.h session.h ttyio.h emsi.h zmodem.h \
		ftscprod.h nlindex.h janus.h hydra.h binkp.h fsm.h Txy.h
OTHER = README README.mxlookup README.TELNET Makefile \
		flaglex.l flagexp.y fta-1005.txt hydra.LICENSE.DOC \
		ftscprod.090 mkprod.awk \
		ifcico.8 ifcico.8.fr ifindex.8 ifinfo.8 ifroute.8 nlpatch.8 \
		ifreq.8
ALL = ifcico ifindex ifinfo ifreq ifroute nlpatch nlookup

ifeq (yes,${SHARED})
UTLIB =
OBJCICO   += ../iflib/libifmail.so.${SHVER}
OBJINDEX  += ../iflib/libifmail.so.${SHVER}
OBJROUTE  += ../iflib/libifmail.so.${SHVER}
OBJPATCH  += ../iflib/libifmail.so.${SHVER}
OBJLOOKUP += ../iflib/libifmail.so.${SHVER}
LIBS += -L ../iflib -lifmail
else
UTLIB = ../iflib/utlib.a
endif

.c.o:
	${CC} -c ${CFLAGS} ${INCLUDES} ${DEFINES} $<

all:	${ALL}

ftscprod.c:	ftscprod.???
	${AWK} -F, -f mkprod.awk ftscprod.??? >ftscprod.c

flagexp.c:	flagexp.y
	${YACC} flagexp.y
	mv y.tab.c flagexp.c

flaglex.c:	flaglex.l
	${LEX} flaglex.l
	mv lex.yy.c flaglex.c

zmvars.h:	mkvars.c zmvars.def
	${CPP} mkvars.c >zmvars.h

zmvars.c:	mkvars.c zmvars.def
	${CPP} -DMAKE_C mkvars.c >zmvars.c

flagexp.o:	flaglex.c flagexp.c

flaglex.o:	flaglex.c flagexp.c

install: all
	${INSTALL} -s -o ${OWNER} -g ${GROUP} -m ${SMODE} ifcico ${BINDIR}/ifcico
	${INSTALL} -s -o ${OWNER} -g ${GROUP} -m ${MODE} ifindex ${BINDIR}/ifindex
	${INSTALL} -s -o ${OWNER} -g ${GROUP} -m ${MODE} ifinfo ${BINDIR}/ifinfo
	${INSTALL} -s -o ${OWNER} -g ${GROUP} -m ${MODE} ifreq ${BINDIR}/ifreq
	${INSTALL} -s -o ${OWNER} -g ${GROUP} -m ${MODE} ifroute ${BINDIR}/ifroute
	${INSTALL} -s -o ${OWNER} -g ${GROUP} -m ${MODE} nlpatch ${BINDIR}/nlpatch
	${INSTALL} -s -o ${OWNER} -g ${GROUP} -m ${MODE} nlookup ${BINDIR}/nlookup

tryc:	ifcico
	>/var/log/ifmail/ifdebug
	./ifcico -xjnors -I../misc/config -alocalhost f230.n5020

tryp:	nlpatch
	>/var/log/ifmail/ifdebug
	cd /var/spool/ifmail/nl.d;\
	/usr/lib/ifmail/nlpatch -xtu z2-list.266 z2-diff.273

lc:
	wc -l ${SRCS} ${HDRS} ${OTHER}

clean:
	rm -f *.o flaglex.c flagexp.c ftscprod.c core ${ALL} lastmtime \
	iflog ifdebug filelist version.c Makefile.bak

ifcico:	${OBJCICO} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJCICO} ${UTLIB} -o ifcico ${LIBS}

ifindex: ${OBJINDEX} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJINDEX} ${UTLIB} -o ifindex ${LIBS}

ifinfo: ${OBJINFO} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJINFO} ${UTLIB} -o ifinfo ${LIBS}

ifreq: ${OBJREQ} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJREQ} ${UTLIB} -o ifreq ${LIBS}

ifroute: ${OBJROUTE} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJROUTE} ${UTLIB} -o ifroute ${LIBS}

nlpatch: ${OBJPATCH} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJPATCH} ${UTLIB} -o nlpatch ${LIBS}

nlookup: ${OBJLOOKUP} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJLOOKUP} ${UTLIB} -o nlookup ${LIBS}

lastmtime: lastmtime.c
	${CC} ${CFLAGS} lastmtime.c -o lastmtime

tar:	ifcico.tar.z

ifcico.tar.z: ${SRCS} ${HDRS} ${OTHER}
	${TAR} cf - ${SRCS} ${HDRS} ${OTHER} | \
	gzip >$@

filelist:	Makefile
	BASE=`pwd`; \
	BASE=`basename $${BASE}`; \
	(for f in ${SRCS} ${HDRS} ${OTHER} ;do echo ifmail/$${BASE}/$$f; done) \
	>filelist

man:	man.lang
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifcico.8 ${MANDIR}/man8/ifcico.8
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifindex.8 ${MANDIR}/man8/ifindex.8
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifinfo.8 ${MANDIR}/man8/ifinfo.8
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifreq.8 ${MANDIR}/man8/ifreq.8
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifroute.8 ${MANDIR}/man8/ifroute.8
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} nlpatch.8 ${MANDIR}/man8/nlpatch.8

man.lang:
	if [ "${LANG}" != "" ]; then \
	case "${LANG}" in \
		fr*) ${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifcico.8.fr ${MANDIR}/fr/man8/ifcico.8 ;; \
	esac ; fi

config:
	test -f config

version.c:	${SRCS} ${HDRS} flaglex.l flagexp.y lastmtime ../CONFIG
	echo 'char *version=${VERSION};' >version.c
	echo 'char *copyright=${COPYRIGHT};' >>version.c
	echo "char *reldate=\"`./lastmtime ${SRCS} ${HDRS} flaglex.l flagexp.y`\";" >>version.c

depend:	version.c
	@mv -f Makefile Makefile.bak; \
	sed -e '/^# DO NOT DELETE/,$$d' Makefile.bak >Makefile; \
	${ECHO} '# DO NOT DELETE THIS LINE - MAKE DEPEND RELIES ON IT' \
		>>Makefile; \
	${ECHO} '# Dependencies generated by make depend' >>Makefile; \
	for f in ${SRCS} version.c; \
	do \
		${ECHO} "Dependencies for $$f:\c"; \
		${ECHO} "`basename $$f .c`.o:\c" >>Makefile; \
		for h in `sed -n -e \
			's/^#[ 	]*include[ 	]*"\([^"]*\)".*/\1/p' $$f`; \
		do \
			${ECHO} " $$h\c"; \
			if [ -r $$h ]; \
			then \
				${ECHO} " $$h\c" >>Makefile; \
			else \
				${ECHO} " ${INCDIR}/$$h\c" >>Makefile; \
			fi; \
		done; \
		${ECHO} " done."; \
		${ECHO} "" >>Makefile; \
	done; \
	${ECHO} '# End of generated dependencies' >>Makefile

# DO NOT DELETE THIS LINE - MAKE DEPEND RELIES ON IT
# Dependencies generated by make depend
lastmtime.o:
ifcico.o: ../iflib/getopt.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h nodelist.h ../iflib/trap.h ../iflib/config.h ../iflib/version.h ../iflib/needed.h
nodelist.o: ../iflib/directory.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftn.h ../iflib/config.h nodelist.h nlindex.h ../iflib/needed.h
call.o: ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h nodelist.h ../iflib/config.h session.h ../iflib/callstat.h
callall.o: ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftn.h nodelist.h ../iflib/config.h ../iflib/scanout.h ../iflib/needed.h
answer.o: ../iflib/lutil.h ../iflib/ftn.h nodelist.h session.h ../iflib/config.h
modemstr.o: ../iflib/config.h nodelist.h
openport.o: ../iflib/lutil.h ../iflib/xutil.h ../iflib/ulock.h ttyio.h
opentcp.o: ../iflib/lutil.h ttyio.h
dial.o: ../iflib/lutil.h nodelist.h ../iflib/config.h
session.o: ttyio.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h nodelist.h statetbl.h session.h ../iflib/config.h emsi.h ../iflib/version.h
chat.o: ../iflib/lutil.h ../iflib/xutil.h nodelist.h ../iflib/config.h
ttyio.o: ttyio.h ../iflib/lutil.h
emsi.o: ../iflib/xutil.h ../iflib/lutil.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h nodelist.h ../iflib/version.h
ftsc.o: ../iflib/ftn.h ../iflib/getheader.h ../iflib/xutil.h ../iflib/lutil.h session.h ttyio.h statetbl.h ../iflib/config.h
yoohoo.o: statetbl.h ../iflib/xutil.h ../iflib/lutil.h ttyio.h session.h ftscprod.h ../iflib/config.h ../iflib/ftn.h emsi.h nodelist.h ../iflib/version.h
filelist.o: ../iflib/config.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/bwrite.h session.h ../iflib/ftn.h
xmsend.o: session.h ../iflib/lutil.h ttyio.h statetbl.h ../iflib/version.h
xmrecv.o: session.h ttyio.h statetbl.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/config.h
sendbark.o: ../iflib/ftn.h ../iflib/lutil.h ttyio.h session.h statetbl.h
recvbark.o: ../iflib/lutil.h ttyio.h session.h statetbl.h
filetime.o:
m7recv.o: statetbl.h ttyio.h ../iflib/lutil.h
m7send.o: statetbl.h ttyio.h ../iflib/lutil.h
respfreq.o: ../iflib/directory.h session.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/config.h ../iflib/ftnmsg.h ../iflib/version.h
rdoptions.o: session.h ../iflib/xutil.h ../iflib/lutil.h nodelist.h ../iflib/config.h ../iflib/needed.h
emsidat.o: ../iflib/ftn.h ../iflib/xutil.h ../iflib/lutil.h emsi.h session.h ../iflib/config.h ../iflib/version.h ../iflib/falists.h
wazoo.o: ../iflib/lutil.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h
janus.o: ../iflib/lutil.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h
hydra.o: ../iflib/lutil.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h hydra.h
zmsend.o: ttyio.h ../iflib/xutil.h ../iflib/lutil.h session.h zmodem.h emsi.h
zmrecv.o: ../iflib/xutil.h ../iflib/lutil.h ttyio.h zmodem.h session.h ../iflib/config.h emsi.h
zmmisc.o: ../iflib/xutil.h ../iflib/lutil.h ttyio.h zmodem.h
zmrle.o: ../iflib/lutil.h ttyio.h zmodem.h
tcp.o: ../iflib/lutil.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h
tcpproto.o: ../iflib/xutil.h ../iflib/lutil.h ttyio.h session.h ../iflib/config.h emsi.h
openfile.o: ../iflib/xutil.h ../iflib/lutil.h ../iflib/config.h ../iflib/needed.h
dietifna.o: ../iflib/lutil.h ttyio.h session.h emsi.h
openterm.o: ../iflib/lutil.h
nlindex.o: ../iflib/directory.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftn.h ../iflib/config.h nodelist.h nlindex.h
nodebld.o: ../iflib/directory.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftn.h ../iflib/config.h nodelist.h nlindex.h ../iflib/needed.h
ifindex.o: ../iflib/getopt.h ../iflib/lutil.h nodelist.h nlindex.h ../iflib/config.h ../iflib/version.h ../iflib/trap.h
ifroute.o: ../iflib/getopt.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h nodelist.h ../iflib/config.h ../iflib/version.h ../iflib/trap.h
mxlookup.o:
nlpatch.o: ../iflib/getopt.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/version.h ../iflib/config.h
version.o:
# End of generated dependencies

=== ifgate/Makefile ===
# Makefile for ifmail Internet/FidoNet gateway
# Copyright (c) 1993-1997 by Eugene G. Crosser

INCDIR = ../iflib

include ../CONFIG

DEFINES = -DNEWSLOG=${NEWSLOG} \
		-DMAILLOG=${MAILLOG} \
		-DNEWSSPOOL=\"${NEWSSPOOL}\" \
		-DFAKEDIR=\"${FAKEDIR}\" \
		${OPTS}

OBJMAIL = version.o ifmail.o rfcmsg.o message.o mkftnhdr.o \
		ifdbm.o batchrd.o areas.o msgflags.o\
		nlindex.o nodecheck.o \
		msgidbm.o attach.o \
		charconv.o charconv_jp.o charconv_hz.o charconv_utf.o
OBJTOSS = version.o iftoss.o areas.o \
		getmessage.o mkrfcmsg.o rfcmsg.o batchrd.o \
		ifdbm.o backalias.o msgflags.o \
		charconv.o charconv_jp.o charconv_hz.o charconv_utf.o
OBJUNPACK = version.o ifunpack.o unpacker.o flock.o
OBJPACK = version.o ifpack.o flock.o
OBJSTAT = version.o ifstat.o
SRCS = ifmail.c rfcmsg.c message.c mkftnhdr.c \
		ifdbm.c batchrd.c areas.c msgflags.c \
		iftoss.c getmessage.c mkrfcmsg.c \
		nlindex.c nodecheck.c \
		ifunpack.c unpacker.c ifpack.c flock.c \
		backalias.c msgidbm.c attach.c ifstat.c lastmtime.c \
		body.c charconv.c charconv_jp.c charconv_hz.c charconv_utf.c
HDRS = areas.h mkrfcmsg.h mkftnhdr.h nlindex.h nodecheck.h \
		charconv.h charconv_jp.h charconv_hz.h
OTHER = README Makefile testmail newsin pkt ifmail.8 iftoss.8
ALL = ifmail ifnews iftoss ifunpack ifpack ifstat

ifeq (yes,${SHARED})
UTLIB =
OBJMAIL   += ../iflib/libifmail.so.${SHVER}
OBJTOSS   += ../iflib/libifmail.so.${SHVER}
OBJUNPACK += ../iflib/libifmail.so.${SHVER}
OBJPACK   += ../iflib/libifmail.so.${SHVER}
OBJSTAT   += ../iflib/libifmail.so.${SHVER}
LIBS += -L ../iflib -lifmail
else
UTLIB = ../iflib/utlib.a
endif

.c.o:
	${CC} -c ${CFLAGS} ${INCLUDES} ${DEFINES} $<

all:	${ALL}

install: all
	${INSTALL} -s -o ${OWNER} -g ${GROUP} -m ${SMODE} ifstat ${BINDIR}/ifstat
	${INSTALL} -s -o ${OWNER} -g ${GROUP} -m ${MODE} ifpack ${BINDIR}/ifpack
	${INSTALL} -s -o ${OWNER} -g ${GROUP} -m ${MODE} ifunpack ${BINDIR}/ifunpack
	${INSTALL} -s -o ${OWNER} -g ${GROUP} -m ${MODE} iftoss ${BINDIR}/iftoss
	${INSTALL} -s -o ${OWNER} -g ${GROUP} -m ${SMODE} ifmail ${BINDIR}/ifmail
	rm -f ${BINDIR}/ifnews
	ln ${BINDIR}/ifmail ${BINDIR}/ifnews

tryt:	iftoss
	./iftoss -I../misc/config -N -xch <pkt

tryn:	ifmail
	./ifmail -I../misc/config -n -N -xc f39.n5000 <newsin

trym:	ifmail
	./ifmail -I../misc/config -rf0.n5020.z100 -N -xce \
		Pete.Kvitek@f5.fido.pccross.msk.su <testmail

tryu:	ifunpack
	./ifunpack -I../misc/config -x15

tryp:	ifpack
	./ifpack -I../misc/config -xc -N

clean:
	rm -f *.o core ${ALL} lastmtime iflog ifdebug filelist version.c \
	Makefile.bak

ifstat:	${OBJSTAT} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJSTAT} ${UTLIB} -o ifstat ${LIBS}

ifmail:	${OBJMAIL} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJMAIL} ${UTLIB} -o ifmail ${LIBS}

ifnews:	ifmail
	rm -f ifnews
	ln ifmail ifnews

iftoss:	${OBJTOSS} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJTOSS} ${UTLIB} -o iftoss ${LIBS}

ifunpack: ${OBJUNPACK} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJUNPACK} ${UTLIB} -o ifunpack ${LIBS}

ifpack: ${OBJPACK} ${UTLIB}
	${CC} ${LDFLAGS} ${OBJPACK} ${UTLIB} -o ifpack ${LIBS}

lastmtime: lastmtime.c
	${CC} ${CFLAGS} lastmtime.c -o lastmtime

tar:	ifmail.tar.z

ifmail.tar.z: ${SRCS} ${HDRS} ${OTHER}
	${TAR} cf - ${SRCS} ${HDRS} ${OTHER} | \
	gzip >$@

filelist:	Makefile
	BASE=`pwd`; \
	BASE=`basename $${BASE}`; \
	(for f in ${SRCS} ${HDRS} ${OTHER} ;do echo ifmail/$${BASE}/$$f; done) \
	>filelist

man:
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifmail.8 ${MANDIR}/man8/ifmail.8
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} iftoss.8 ${MANDIR}/man8/iftoss.8
	echo ".so man8/ifmail.8" > ${MANDIR}/man8/ifnews.8

config:
	test -f config

version.c:	${SRCS} ${HDRS} lastmtime ../CONFIG
	echo 'char *version=${VERSION};' >version.c
	echo 'char *copyright=${COPYRIGHT};' >>version.c
	echo "char *reldate=\"`./lastmtime ${SRCS} ${HDRS}`\";" >>version.c

depend:	version.c
	@rm -f Makefile.bak; \
	mv Makefile Makefile.bak; \
	sed -e '/^# DO NOT DELETE/,$$d' Makefile.bak >Makefile; \
	${ECHO} '# DO NOT DELETE THIS LINE - MAKE DEPEND RELIES ON IT' \
		>>Makefile; \
	${ECHO} '# Dependencies generated by make depend' >>Makefile; \
	for f in ${SRCS} version.c; \
	do \
		${ECHO} "Dependencies for $$f:\c"; \
		${ECHO} "`basename $$f .c`.o:\c" >>Makefile; \
		for h in `sed -n -e \
			's/^#[ 	]*include[ 	]*"\([^"]*\)".*/\1/p' $$f`; \
		do \
			${ECHO} " $$h\c"; \
			if [ -r $$h ]; \
			then \
				${ECHO} " $$h\c" >>Makefile; \
			else \
				${ECHO} " ${INCDIR}/$$h\c" >>Makefile; \
			fi; \
		done; \
		${ECHO} " done."; \
		${ECHO} "" >>Makefile; \
	done; \
	${ECHO} '# End of generated dependencies' >>Makefile

# DO NOT DELETE THIS LINE - MAKE DEPEND RELIES ON IT
# Dependencies generated by make depend
ifmail.o: ../iflib/getopt.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h ../iflib/rfcaddr.h ../iflib/falists.h ../iflib/rfcmsg.h ../iflib/ftnmsg.h areas.h ../iflib/config.h ../iflib/version.h ../iflib/trap.h ../iflib/hash.h ../iflib/needed.h nodecheck.h ../iflib/charset.h ../iflib/ref_interface.h
rfcmsg.o: ../iflib/xutil.h ../iflib/lutil.h ../iflib/rfcmsg.h
message.o: ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftn.h ../iflib/rfcaddr.h ../iflib/ftnmsg.h ../iflib/rfcmsg.h ../iflib/config.h ../iflib/bwrite.h ../iflib/falists.h ../iflib/version.h ../iflib/hash.h ../iflib/needed.h mkftnhdr.h areas.h ../iflib/charset.h charconv.h ../iflib/mime.h ../iflib/ref_interface.h
mkftnhdr.o: ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftn.h ../iflib/ftnmsg.h ../iflib/rfcmsg.h ../iflib/rfcaddr.h ../iflib/mime.h ../iflib/charset.h charconv.h ../iflib/config.h ../iflib/version.h ../iflib/hash.h areas.h
ifdbm.o: ../iflib/lutil.h ../iflib/config.h
batchrd.o: ../iflib/lutil.h
areas.o: ../iflib/lutil.h ../iflib/xutil.h areas.h ../iflib/config.h ../iflib/lhash.h ../iflib/needed.h ../iflib/charset.h
msgflags.o: ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftnmsg.h
iftoss.o: ../iflib/getopt.h ../iflib/lutil.h ../iflib/config.h ../iflib/version.h ../iflib/ftn.h ../iflib/getheader.h ../iflib/trap.h ../iflib/charset.h ../iflib/ref_interface.h
getmessage.o: ../iflib/xutil.h ../iflib/lutil.h ../iflib/bread.h ../iflib/ftn.h ../iflib/rfcmsg.h mkrfcmsg.h ../iflib/config.h ../iflib/crc.h ../iflib/charset.h
mkrfcmsg.o: ../iflib/lutil.h ../iflib/xutil.h mkrfcmsg.h ../iflib/ftnmsg.h ../iflib/rfcmsg.h areas.h ../iflib/falists.h ../iflib/config.h ../iflib/needed.h ../iflib/charset.h charconv.h ../iflib/mime.h ../iflib/ref_interface.h
nlindex.o: ../iflib/directory.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftn.h ../iflib/config.h nodecheck.h nlindex.h
nodecheck.o: ../iflib/directory.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftn.h ../iflib/config.h nodecheck.h nlindex.h ../iflib/needed.h
ifunpack.o: ../iflib/directory.h ../iflib/getopt.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/config.h ../iflib/version.h ../iflib/trap.h
unpacker.o: ../iflib/lutil.h ../iflib/config.h
ifpack.o: ../iflib/directory.h ../iflib/getopt.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h ../iflib/config.h ../iflib/scanout.h ../iflib/version.h ../iflib/trap.h ../iflib/needed.h
flock.o: ../iflib/lutil.h
backalias.o: ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftn.h ../iflib/needed.h
msgidbm.o: ../iflib/lutil.h ../iflib/xutil.h ../iflib/config.h ../iflib/ftn.h ../iflib/rfcaddr.h
attach.o: ../iflib/ftn.h ../iflib/lutil.h ../iflib/config.h
ifstat.o: ../iflib/getopt.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h ../iflib/config.h ../iflib/scanout.h ../iflib/version.h ../iflib/trap.h ../iflib/needed.h
lastmtime.o:
body.o: ../iflib/xutil.h ../iflib/lutil.h ../iflib/rfcmsg.h ../iflib/config.h ../iflib/bwrite.h ../iflib/mime.h ../iflib/charset.h charconv.h ../iflib/version.h ../iflib/hash.h
charconv.o: ../iflib/config.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/charset.h ../iflib/mime.h charconv.h
charconv_jp.o: ../iflib/config.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/charset.h charconv.h charconv_jp.h
charconv_hz.o: ../iflib/config.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/charset.h charconv.h charconv_hz.h
version.o:
# End of generated dependencies

=== iflib/Makefile ===
# Makefile for iflib - part of ifmail FidoNet package
# Copyright (c) 1993-1997 by Eugene G. Crosser

INCDIR = .

include ../CONFIG

DEFINES =	-DDEBUGFILE=\"${DEBUGFILE}\" \
		-DLOGFILE=\"${LOGFILE}\" \
		-DCONFIGFILE=\"${CONFIGFILE}\" \
		-DMAPTABDIR=\"${MAPTABDIR}\" \
		-DLOCKDIR=\"${LOCKDIR}\" \
		-DPUBDIR=\"${PUBDIR}\" \
		-DFAKEDIR=\"${FAKEDIR}\" \
		-DMAILLOG=${MAILLOG} \
		-DNEWSLOG=${NEWSLOG} \
		-DCICOLOG=${CICOLOG} \
		${OPTS}

OBJS = lutil.o xutil.o ulock.o rfcdate.o sequencer.o ftnmsg.o hdr.o \
		crc.o parsedate.o gettime.o execute.o execsh.o \
		rdconfig.o ftn.o packet.o pktname.o bwrite.o \
		bread.o getheader.o scanout.o matchaka.o atoul.o \
		nodelock.o trap.o rfcaddr.o expipe.o callstat.o \
		cspace.o setprocn.o \
		charset.o mime.o \
		lhash.o hash.o falists.o ${NEEDED}

SRCS = lutil.c xutil.c ulock.c rfcdate.c sequencer.c ftnmsg.c hdr.c \
		crc.c strcasestr.c strncasecmp.c strcasecmp.c \
		rename.c mkdir.c parsedate.y gettime.c \
		rdconfig.c ftn.c packet.c pktname.c bwrite.c \
		bread.c getheader.c scanout.c matchaka.c usleep.c \
		execute.c execsh.c signal.c regexpr.c atoul.c \
		nodelock.c trap.c rfcaddr.c expipe.c callstat.c \
		cspace.c setprocn.c ref.c \
		charset.c mime.c \
		cleanup_ref.c make_new_ref.c tmpfile.c \
		dirent.c lhash.c hash.c falists.c

HDRS = lutil.h xutil.h ulock.h libinn.h macros.h configdata.h clibrary.h \
		config.h ftn.h bwrite.h bread.h getheader.h getopt.h \
		scanout.h trap.h rfcaddr.h ftnmsg.h rfcmsg.h callstat.h \
		cspace.h charset.h mime.h \
		crc.h strcasestr.h strncasecmp.h strcasecmp.h rename.h \
		mkdir.h usleep.h ref_interface.h tmpfile.h \
		version.h directory.h lhash.h hash.h falists.h

OTHER = Makefile README parsedate.3 cleanup_ref.8 make_new_ref.8

ifdef REFERENCES_MSC96
OBJS += ref.o
#REF_FILES=cleanup_ref make_new_ref
REF_FILES=make_new_ref
REF_MAN=man_ref
REF_INSTALL=install_ref
endif

#############################################################################

ifeq (yes,${SHARED})
.c.o:
	${CC} ${CFLAGS} -fPIC ${INCLUDES} ${DEFINES} -c $<

all:		needed.h libifmail.so.${SHVER} ${REF_FILES}

else
.c.o:
	${CC} ${CFLAGS} ${INCLUDES} ${DEFINES} -c $<

all:		needed.h utlib.a ${REF_FILES}
endif

parsedate.c:	parsedate.y
	@echo expect 6 shift/reduce conflicts
	${YACC} parsedate.y
	mv y.tab.c parsedate.c
	@echo expect 4 warnings compiling parsedate.c

libifmail.so.${SHVER}: ${OBJS}
	${CC} -o libifmail.so.${SHVER} -shared -Wl,-soname,libifmail.so.${SHVER} ${OBJS}
	ln -s libifmail.so.${SHVER} libifmail.so

utlib.a:	${OBJS}
	${AR} r $@ $?
	${RANLIB} $@

needed.h:
	(for f in ${NEEDED} ;do BASE=`basename $$f .o`; BASE=\"$${BASE}.h\" ; \
	echo "#include $${BASE}"; done) > needed.h

cleanup_ref: cleanup_ref.o ref.o
	${CC} ${CFLAGS} cleanup_ref.o ref.o ${LIBS} -o cleanup_ref

make_new_ref: make_new_ref.o ref.o
	${CC} ${CFLAGS} make_new_ref.o ref.o ${LIBS} -o make_new_ref

clean:
	rm -f utlib.a libifmail.so* *.o getdate.c parsedate.c testscan \
	testconf testtrap testrfcaddr core filelist Makefile.bak needed.h \
	cleanup_ref make_new_ref

install:	all ${REF_INSTALL}
ifeq (1,${SHARED})
	${INSTALL} -o${OWNER} -g${GROUP} -m644 libifmail.so.${SHVER} ${LIBDIR}/libifmail.so.${SHVER}
endif

install_ref:
	#${INSTALL} -s -o ${OWNER} -g ${GROUP} -m ${MODE} cleanup_ref ${BINDIR}/cleanup_ref
	${INSTALL} -s -o ${OWNER} -g ${GROUP} -m ${MODE} make_new_ref ${BINDIR}/make_new_ref

tar:		utlib.tar.z

utlib.tar.z:	${SRCS} ${HDRS} ${OTHER}
	${TAR} cf - ${SRCS} ${HDRS} ${OTHER} \
	| gzip >$@

filelist:	Makefile
	BASE=`pwd`; \
	BASE=`basename $${BASE}`; \
	(for f in ${SRCS} ${HDRS} ${OTHER} ;do echo ifmail/$${BASE}/$$f; done) \
	>filelist

man:	${REF_MAN}
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} parsedate.3 ${MANDIR}/man3/parsedate.3

man_ref:
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} cleanup_ref.8 ${MANDIR}/man8/cleanup_ref.8
	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} make_new_ref.8 ${MANDIR}/man8/make_new_ref.8

testconf:	rdconfig.c config.h utlib.a
	cc -g -Wall -DTESTING rdconfig.c utlib.a -o $@

tryconf: testconf
	./testconf ../misc/config

testscan:	scanout.c scanout.h utlib.a
	cc -g -Wall -DTESTING scanout.c utlib.a -o $@

tryscan: testscan
	./testscan ../misc/config

testtrap:	trap.c
	cc -g -Wall -DNEED_TRAP -DTESTING trap.c utlib.a -o $@

trytrap:	testtrap
	./testtrap

testrfcaddr:	rfcaddr.c rfcaddr.h
	cc -g -Wall -DTESTING rfcaddr.c utlib.a -o $@

tryrfcaddr:	testrfcaddr
	./testrfcaddr

depend:
	@rm -f Makefile.bak; \
	mv Makefile Makefile.bak; \
	sed -e '/^# DO NOT DELETE/,$$d' Makefile.bak >Makefile; \
	${ECHO} '# DO NOT DELETE THIS LINE - MAKE DEPEND RELIES ON IT' \
		>>Makefile; \
	${ECHO} '# Dependencies generated by make depend' >>Makefile; \
	for f in ${SRCS}; \
	do \
		${ECHO} "Dependencies for $$f:\c"; \
		${ECHO} "`basename $$f .c`.o:\c" >>Makefile; \
		for h in `sed -n -e \
			's/^#[ 	]*include[ 	]*"\([^"]*\)".*/\1/p' $$f`; \
		do \
			${ECHO} " $$h\c"; \
			${ECHO} " $$h\c" >>Makefile; \
		done; \
		${ECHO} " done."; \
		${ECHO} "" >>Makefile; \
	done; \
	${ECHO} '# End of generated dependencies' >>Makefile

# DO NOT DELETE THIS LINE - MAKE DEPEND RELIES ON IT
# Dependencies generated by make depend
lutil.o:
xutil.o: xutil.h lutil.h
ulock.o: lutil.h
rfcdate.o:
sequencer.o: lutil.h config.h
ftnmsg.o: lutil.h bwrite.h ftn.h ftnmsg.h
hdr.o: xutil.h lutil.h rfcmsg.h
crc.o:
strcasestr.o:
strncasecmp.o:
strcasecmp.o:
rename.o:
mkdir.o:
parsedate.y.o: configdata.h libinn.h macros.h
gettime.o: configdata.h clibrary.h libinn.h
rdconfig.o: xutil.h lutil.h ftn.h config.h charset.h
ftn.o: lutil.h xutil.h ftn.h rfcaddr.h config.h mime.h
packet.o: xutil.h lutil.h ftn.h config.h bwrite.h
pktname.o: directory.h lutil.h xutil.h ftn.h config.h
bwrite.o: bwrite.h config.h
bread.o: bread.h config.h
getheader.o: lutil.h xutil.h ftn.h bread.h config.h
scanout.o: directory.h xutil.h config.h ftn.h scanout.h lutil.h
matchaka.o: ftn.h lutil.h config.h
usleep.o:
execute.o: lutil.h
execsh.o: lutil.h
signal.o:
regexpr.o:
atoul.o:
nodelock.o: xutil.h lutil.h ftn.h
trap.o: lutil.h trap.h lutil.h
rfcaddr.o: xutil.h rfcaddr.h
expipe.o: lutil.h
callstat.o: lutil.h ftn.h callstat.h
setprocn.o:
ref.o: config.h ref_interface.h lutil.h
charset.o: lutil.h xutil.h rfcmsg.h needed.h config.h mime.h charset.h
mime.o: needed.h lutil.h xutil.h
cleanup_ref.o: config.h ref_interface.h
make_new_ref.o: config.h ref_interface.h
tmpfile.o:
dirent.o: directory.h
lhash.o: lhash.h
hash.o: hash.h lhash.h
falists.o: xutil.h lutil.h ftn.h falists.h
# End of generated dependencies

=== po/Makefile ===
# Generated automatically from Makefile.in by configure.

include ../CONFIG

MSGMERGE = msgmerge

PO_FILES = da.po de.po es.po fr.po it.po
CATALOGS = da.mo de.mo es.mo fr.mo it.mo

POTFILES  = ../iflib/rdconfig.c ../ifgate/iftoss.c	\
	    ../ifgate/ifmail.c ../ifgate/ifpack.c	\
	    ../ifcico/ifcico.c ../ifcico/ifroute.c

OTHERS = Makefile

#############################################################################

all: ${NLSPACKAGE}.pot ${CATALOGS}

${NLSPACKAGE}.pot: ${POTFILES}
	xgettext --default-domain=${NLSPACKAGE} \
       	  --add-comments --keyword=_ --keyword=N_ ${POTFILES}
	if cmp -s ${NLSPACKAGE}.po ${NLSPACKAGE}.pot; then \
	    rm -f ${NLSPACKAGE}.po; \
	else \
	    mv ${NLSPACKAGE}.po ${NLSPACKAGE}.pot; \
	fi

update-po: Makefile
	${MAKE} ${NLSPACKAGE}.pot
	catalogs='${CATALOGS}'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.mo//'`; \
		mv $$lang.po $$lang.old.po ; \
		echo -n "$$lang:"; \
		if tupdate $(NLSPACKAGE).pot $$lang.old.po > $$lang.po ; \
		then \
			echo "tupdate of $$lang succeeded" ; \
			rm -f $$lang.old.po; \
		else \
    			echo "tupdate of $$lang failed!"; \
			rm -f $$lang.po; \
			mv $$lang.old.po $$lang.po; \
		fi; \
	done

clean:
	rm -f *mo ${NLSPACKAGE}.pot filelist

filelist:	Makefile
	BASE=`pwd`; \
	BASE=`basename $${BASE}`; \
	(for f in ${PO_FILES} ${OTHERS} ;do echo ifmail/$${BASE}/$$f; done) \
	>filelist

install:	all
	for n in ${CATALOGS}; do \
	    l=`basename $$n .mo`; \
	    ${INSTALL} -m 755 -d ${DESTDIR}/${NLSDIR}/$$l; \
	    ${INSTALL} -m 755 -d ${DESTDIR}/${NLSDIR}/$$l/LC_MESSAGES; \
	    ${INSTALL} -m 644 $$n ${DESTDIR}/${NLSDIR}/$$l/LC_MESSAGES/${NLSPACKAGE}.mo; \
	done

%.mo: %.po
	msgfmt -o $@ $<

depend:

man:

=== misc/contrib/cutnl-0.1/Makefile ===
CXX = g++
CXXFLAGS = -O2 -Wall # -g

PROJECT	= cutnl-0.1

# no need to change

all:	cutnl

cutnl:	cutnl.cc
	$(CXX) $(CXXFLAGS) -o cutnl cutnl.cc

clean:
	rm -f cutnl *.o a.out *.core

cleanup:
	$(MAKE) clean
	rm -f *~; \
        cd .. ; rm -f $(PROJECT).tar*

tar:
	$(MAKE) cleanup
	cd .. ; tar cfvW $(PROJECT).tar ./$(PROJECT); \
                ls -l $(PROJECT).tar

taz:
	$(MAKE) tar
	cd .. ; compress $(PROJECT).tar; \
	        ls -l $(PROJECT).tar.Z

tgz:
	$(MAKE) tar
	cd .. ; gzip -9n $(PROJECT).tar; \
	        ls -l $(PROJECT).tar.gz

taz.uu:
	$(MAKE) taz
	cd .. ; uuencode $(PROJECT).tar.Z \
                         `basename $(PROJECT).tar.Z` \
                         > $(PROJECT).tar.Z.uu; \
	        ls -l $(PROJECT).tar.Z.uu

tgz.uu:
	$(MAKE) tgz
	cd .. ; uuencode $(PROJECT).tar.gz \
                         `basename $(PROJECT).tar.gz` \
                         > $(PROJECT).tar.gz.uu; \
	        ls -l $(PROJECT).tar.gz.uu

=== misc/contrib/mmdf/Makefile ===
# Makefile for the "g3 tools" subtree
# of mgetty+sendfax
#
# SCCS: @(#)Makefile	1.2 94/01/13 Copyright (c) Gert Doering
#

CC=cc
CFLAGS=-O -I../../../iflib

OBJS= fidonet.o route.o
UTLIB= ../../../iflib/utlib.a

all: fidonet

fidonet: $(OBJS)
	 $(CC) -o fidonet $(OBJS) $(UTLIB) $(CFLAGS)

route.o:	route.c
fidonet.o:	fidonet.c

clean:
	rm -f *.o

install: all

=== misc/contrib/rtscts/Makefile ===
rtscts: rtscts.c
	/svr3/usr/bin/cc -systype svr3 -DSVR3 -O0 -g rtscts.c -o rtscts

=== misc/contrib/u-tic/Makefile ===
.include "MAKE.CONFIG"

VERSION = "0.9.09"

TARFILE = u-tic_$(VERSION).tar.gz

CONFFILES = config feeds passwd restricted areas felist help outaltkoi8
SRCFILES  = queuemail.c crc.c makeflock.c u-tic.pl u-fix.pl xfutil.pl \
            ftn.pl semaphore.pl misc.pl make_machdep.pl ctlfiles.pl \
            hacks.pl u-attach.pl
MISCFILES = README Makefile MAKE.CONFIG
TOOLS = 
ALLFILES = $(CONFFILES) $(SRCFILES) $(MISCFILES) $(TOOLS)
EXECFILES = crc u-tic.pl u-fix.pl xfutil.pl ftn.pl semaphore.pl\
            misc.pl machdep.pl ctlfiles.pl hacks.pl u-attach.pl queuemail

all: queuemail crc u-tic.pl u-fix.pl

install: all
	for dir in $(CONFPATH) $(EXECPATH); do; if [ ! -e $$dir ]; then; mkdir -p $$dir; fi; done
	for file in $(EXECFILES); do; $(INSTALL) -c -o $(OWNER) -g $(GROUP) $$file $(EXECPATH)/$$file; done

world: install
	for file in $(CONFFILES); do; $(INSTALL) -c -o $(OWNER) -g $(GROUP) $$file $(CONFPATH)/$$file; done

u-tic.pl: machdep.pl

u-fix.pl: machdep.pl

machdep.pl: makeflock make_machdep.pl
	./make_machdep.pl $(CONFPATH)/config $(VERSION) > machdep.pl || (rm -f machdep.pl; exit 2)

makeflock: makeflock.c
	$(CC) $(CCFLAGS) -o makeflock makeflock.c

crc: crc.c
	$(CC) $(CCFLAGS) -o crc crc.c

queuemail: queuemail.c
	$(CC) $(CCFLAGS) -o queuemail queuemail.c

clean:
	rm -f makeflock machdep.pl crc queuemail

tar: $(TARFILE)

$(TARFILE): filelist
	cd ..; $(TAR) cvf - `cat u-tic/.filelist` | gzip > u-tic/$(TARFILE)

filelist:
	rm .filelist; for file in $(ALLFILES); do; echo u-tic/$$file >> .filelist; done

=== debian/changelog ===
ifmail (2.14tx8.10-28) unstable; urgency=medium

  * Updated patch portability_headers with a missing prototype.
    (Closes: #1066605)
  * Enabled large files support.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Mar 2024 00:31:03 +0100

ifmail (2.14tx8.10-27) unstable; urgency=medium

  * Moved the sendmail mailer definition to the current path.
  * Stopped crashes when using verbose logging. (Closes: #992182)

 -- Marco d'Itri <md@linux.it>  Fri, 18 Nov 2022 18:06:28 +0100

ifmail (2.14tx8.10-26) unstable; urgency=medium

  * Fixed the dh overrides by splitting them between arch and indep.

 -- Marco d'Itri <md@linux.it>  Mon, 26 Aug 2019 18:58:25 +0200

ifmail (2.14tx8.10-25) unstable; urgency=medium

  * Fixed a segfault in the ifcico configuration parser.
    Thanks to Göran Weinholt for the help. (Closes: #872507)
  * Fixed the command line for tfido in inetd.conf. (Closes: #933938)
  * Fixed cross compilation, thanks to Helmut Grohne. (Closes: #929239)

 -- Marco d'Itri <md@linux.it>  Mon, 26 Aug 2019 01:08:43 +0200

ifmail (2.14tx8.10-24) unstable; urgency=medium

  * Updated the Vcs-* fields for salsa.
  * Merged the last NMU.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Feb 2019 19:16:41 +0100

ifmail (2.14tx8.10-23.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use the compat level gdbm package, to fix build with new gdbm
    (This needs porting to new gdbm api, because the compat package will
     eventually disappear) (Closes: #888752)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Feb 2018 10:34:20 +0100

ifmail (2.14tx8.10-23) unstable; urgency=medium

  * Made the builds reproducible, thanks to Chris Lamb. (Closes: #831629)
  * Fixed a FTBFS when built with dpkg-buildpackage -A, thanks to
    Santiago Vila. (Closes: #845117)
  * Depend on libfl-dev. (Closes: #846429)
  * Implemented FTS-5005, thanks to Markus Reschke.
  * Updated patch portability_headers to fix a FTBFS on x32.

 -- Marco d'Itri <md@linux.it>  Mon, 26 Dec 2016 04:40:59 +0100

ifmail (2.14tx8.10-22) unstable; urgency=medium

  * Added patch fix_bsyname to fix the bsyname() declaration.
    (Closes: #749383)
  * Use the bindnow hardening option.

 -- Marco d'Itri <md@linux.it>  Fri, 25 Jul 2014 01:16:38 +0200

ifmail (2.14tx8.10-21) unstable; urgency=low

  * Do not use perl4 modules. (Closes: #659423)
  * Added support for dpkg-buildflags and hardening.
  * Package converted to source format 3.0.

 -- Marco d'Itri <md@linux.it>  Mon, 14 May 2012 05:17:39 +0200

ifmail (2.14tx8.10-20) unstable; urgency=low

  * Package converted to quilt.
  * Fixed an occurrence of open(2) with no explicit mode. (Closes: #507044)
  * Stop the Makefiles from stripping the binaries. (Closes: #437198)
  * Removed some dead code from postinst. (Closes: #553289)
  * Fixed bashisms in some example scripts. (Closes: #530102)
  * Merged NMUs. (Closes: #408244, #413397, #435994, #493337)

 -- Marco d'Itri <md@linux.it>  Sun, 06 Dec 2009 21:22:31 +0100

ifmail (2.14tx8.10-19.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix the previous fix (435994), i.e. really exit 0 if LOGDIR doesn't exists
    in /etc/cron.weekly/ifmail (Closes: #493337)

 -- Filippo Giunchedi <filippo@debian.org>  Tue, 12 Aug 2008 16:52:04 +0200

ifmail (2.14tx8.10-19.3) unstable; urgency=low

  * Non-maintainer upload.
  * Exit 0 if logdir doesn't exists in /etc/cron.weekly/ifmail
    (Closes: #435994)

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 01 May 2008 16:45:05 +0200

ifmail (2.14tx8.10-19.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Add missing dependency on update-inetd to ifcico, and fix the
    maintainer script handling to only add entries on a new install and
    only remove them on purge.  Closes: #413397.

 -- Steve Langasek <vorlon@debian.org>  Sun, 18 Mar 2007 01:42:26 -0700

ifmail (2.14tx8.10-19.1) unstable; urgency=high

  * Non-maintainer upload.

  * Set urgency to high since it fixes an RC bug.

  * Added missing dep on adduser (Closes: #408244)

 -- Bastian Venthur <venthur@debian.org>  Wed, 31 Jan 2007 15:11:24 +0100

ifmail (2.14tx8.10-19) unstable; urgency=low

  * Updated dependency to exim4. (Closes: #228568)
  * Fixed gcc 4.0 FTBFS bugs. (Closes: #286428)

 -- Marco d'Itri <md@linux.it>  Sat, 16 Jul 2005 12:13:34 +0200

ifmail (2.14tx8.10-18) unstable; urgency=medium

  * Switched from libgdbmg1-dev to libgdbm-dev.
  * Switched from varargs.h to stdarg.h, patch courtesy of Matt Kraai.
    (Closes: #195439)

 -- Marco d'Itri <md@linux.it>  Sat, 14 Jun 2003 13:47:32 +0200

ifmail (2.14tx8.10-17) unstable; urgency=low

  * Patched flagexp.y and ifcico/Makefile to work with the new flex release
    (Closes: #191190).

 -- Marco d'Itri <md@linux.it>  Thu,  1 May 2003 13:27:47 +0200

ifmail (2.14tx8.10-16) unstable; urgency=medium

  * Modified flagexp.y to work with the new bison release (Closes: #164230).

 -- Marco d'Itri <md@linux.it>  Thu, 17 Oct 2002 02:22:03 +0200

ifmail (2.14tx8.10-15) unstable; urgency=low

  * Use gdbm-ndbm.h instead of ndbm.h (Closes: #162440).

 -- Marco d'Itri <md@linux.it>  Mon,  7 Oct 2002 21:13:17 +0200

ifmail (2.14tx8.10-14) unstable; urgency=medium

  * Added build depend on debhelper (Closes: #123708).
  * Added link for ifnews.8.gz (Closes: #92583).
  * Merged some code from Andrey Smirnov to support KOI8-R.

 -- Marco d'Itri <md@linux.it>  Sun, 30 Dec 2001 18:22:37 +0100

ifmail (2.14tx8.10-13) unstable; urgency=low

  * Added -DDO_NEED_TIME (Closes: #91914).

 -- Marco d'Itri <md@linux.it>  Wed, 28 Mar 2001 00:03:07 +0200

ifmail (2.14tx8.10-12) unstable; urgency=low

  * Added support for the inn2 package.
  * Added build dependencies (Closes: #58063).
  * Removed suidregister support.

 -- Marco d'Itri <md@linux.it>  Mon, 26 Mar 2001 16:02:09 +0200

ifmail (2.14tx8.10-11) frozen unstable; urgency=medium

  * Y2K patch (important!).
  * Porting fixes (Closes: #55252, #57394).


=== debian/control ===
Source: ifmail
Section: comm
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper-compat (= 13), gettext, libgdbm-dev, libgdbm-compat-dev, bison, flex, libfl-dev
Standards-Version: 4.6.2.1
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/md/ifmail.git
Vcs-Browser: https://salsa.debian.org/md/ifmail

Package: ifmail
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, adduser
Suggests: ifcico, ifgate
Description: Internet to Fidonet gateway
 The package contains common files needed by ifcico and ifgate packages.
 This version includes the "tx" patches and other misc patches.

Package: ifgate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ifmail, default-mta | mail-transport-agent, inn | inn2 | news-transport-system
Description: Internet to Fidonet gateway
 The program can act as a gateway between email and netmail and Usenet
 newsgroups and echomail.
 This version includes the "tx" patches and other misc patches.

Package: ifcico
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ifmail, openbsd-inetd | inet-superserver
Description: Fidonet Technology transport package
 Ifcico is a FidoTech mailer for connecting to other nodes via the phone
 or the Internet.
 This version includes the "tx" patches and other misc patches.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS ?= -g -O2
export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+lfs

%:
	dh $@

override_dh_clean:
	dh_clean ifcico/ifcico.fr.8

override_dh_auto_build:
	dh_auto_build -- EXTRA_CFLAGS="$(CFLAGS) $(CPPFLAGS)" EXTRA_LDFLAGS="$(CFLAGS) $(LDFLAGS)"
	ln -sf ifcico.8.fr ifcico/ifcico.fr.8

override_dh_auto_install:

override_dh_install-indep:
	install --mode=755 md/fido.daily debian/ifmail/usr/lib/ifmail/
	cd po && $(MAKE) install DESTDIR=../debian/ifmail
	cp misc/config md/ifshellvars debian/ifmail/etc/ifmail/
	# compatibility symlink
	ln -s ftn debian/ifmail/var/spool/ifmail

override_dh_install-arch:
	cd ifcico && install ifcico ifindex ifinfo ifreq nlpatch \
		nlookup ../ifgate/ifstat ../debian/ifcico/usr/lib/ifmail/
	install ifgate/ifmail ifgate/ifpack ifgate/iftoss \
		ifgate/ifunpack debian/ifgate/usr/lib/ifmail/

	touch debian/ifgate/etc/ifmail/aliases
	cp misc/Areas debian/ifgate/etc/ifmail/
	install --mode=755 md/fidosend debian/ifgate/etc/news/scripts/
	cp misc/maptabs/[a-z]* debian/ifgate/usr/lib/ifmail/maptabs/
	cp md/ifmail.m4 debian/ifgate/usr/share/sendmail/cf/mailer/

override_dh_installchangelogs:
	dh_installchangelogs Changelog.TX

override_dh_fixperms-indep:
	dh_fixperms -i
	# non standard permissions
	chown -R 64000:64000 debian/ifmail/var/spool/ftn/
	chown -R 64000:adm debian/ifmail/var/log/ifmail/

override_dh_fixperms-arch:
	dh_fixperms -a
	# suid stuff
	chown 64000:news debian/ifgate/usr/lib/ifmail/ifmail
	chmod 4754 debian/ifgate/usr/lib/ifmail/ifmail
